Bug 178102 - ausearch not translating the uid field in USER_LOGIN message
ausearch not translating the uid field in USER_LOGIN message
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: audit (Show other bugs)
4.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Grubb
Brian Brock
:
Depends On:
Blocks: RHEL4U4Audit 181409
  Show dependency treegraph
 
Reported: 2006-01-17 15:26 EST by Suzanne Hillman
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0379
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:16:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-01-17 15:26:03 EST
Description of problem:
uid not translated to username when "ausearch -m USER_LOGIN -x gdm -i" is run,
like so:

type=USER_LOGIN msg=audit(01/17/2006 11:40:05.304:27) : user pid=4506
uid=root auid=unknown(4294967295) msg='uid=500: exe="/usr/bin/gdm-binary"
(hostname=dhcp83-11.boston.redhat.com, addr=172.16.83.11, terminal=:0
res=success)'

Version-Release number of selected component (if applicable):
audit-1.0.12-1.EL4.x86_64.rpm

How reproducible:
Always.

Steps to Reproduce:
1. Enable audit, then login via gdm.
2. Run "ausearch -m USER_LOGIN -x gdm -i" in a terminal window
  
Actual results:
uid not translated from the number.

Expected results:
Should be username instead of uid.

Additional info:
Comment 1 Steve Grubb 2006-02-09 09:46:49 EST
This is fixed in 1.0.14.
Comment 5 Bob Johnson 2006-04-11 12:11:21 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 9 Red Hat Bugzilla 2006-08-10 17:16:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0379.html

Note You need to log in before you can comment on or make changes to this bug.